Bug 101057 - db4 needs an additional symlink
db4 needs an additional symlink
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: db4 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-28 16:41 EDT by Eric Sorenson
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-13 17:49:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sorenson 2003-07-28 16:41:04 EDT
The configure tests for db4 in cfengine-2.x spuriously fail on rh9
Other autoconf code that does similar local tests may also fail.
On Shrike, db.h lives in /usr/include/db4 but there is no corresponding
'libdb4.so' symlink.

        for d in /opt /usr/local /usr; do
            for v in db-4 db4 db3 db; do
                if test -f "$d/include/$v/db.h" ; then
                    test "x$d" != "x/usr" && BERKELEY_DB_LDFLAGS="-L$d/lib"
                    BERKELEY_DB_CFLAGS="-I$d/include/$v"
                    BERKELEY_DB_LIB="-l$v"
                    AC_MSG_RESULT($d)
                    break
                fi
            done

There are already a number of symlinks done in %install, could another line
be added like:

--- db4.spec.orig       2003-07-28 13:37:36.000000000 -0700
+++ db4.spec    2003-07-28 13:39:20.000000000 -0700
@@ -193,6 +193,7 @@
        done
        rm $RPM_BUILD_ROOT/rootfile
        ln -sf ${root}/%{_lib}/libdb-%{__soversion}.so
$RPM_BUILD_ROOT/%{_libdir}/libdb.so
+       ln -sf ${root}/%{_lib}/libdb-%{__soversion}.so
$RPM_BUILD_ROOT/%{_libdir}/libdb4.so
        ln -sf ${root}/%{_lib}/libdb-%{__soversion}.so $RPM_BUILD_ROOT/%{_libdir}/
 fi
 %endif
Comment 1 Jeff Johnson 2003-12-13 17:49:07 EST
Creating a symlink for libdb4.so is the wrong thing
to do, as there are ABI changes between various
versions of Berkeley DB.

Note You need to log in before you can comment on or make changes to this bug.